import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading CitizenCLSensorTypeToGeneric Converter")

class CitizenCLSensorTypeToGeneric(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "NONE":
			res = "None"
		elif myList[0] == "SEE THROUGH":
			res = "Gap"
		elif myList[0] == "REFLECT":
			res = "Mark"
		return res




plugin = CitizenCLSensorTypeToGeneric("CitizenCLSensorTypeToGeneric")

store.AddConverter(plugin)